[SRU] icehouse 2014.1.4 point release

Bug #1432608 reported by Corey Bryant on 2015-03-16
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ceilometer (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
cinder (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
glance (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
heat (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
horizon (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
keystone (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
neutron (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned

Bug Description

OpenStack 2014.1.4 released Friday, 13 March, 2015).

From the release email from Alan Pevec:

Hello everyone,

The OpenStack Stable Maintenance team is happy to announce the 2014.1.4
stable Icehouse release. We have been busy reviewing and accepting backported
bugfixes to the stable/icehouse branches according to the criteria set at:

https://wiki.openstack.org/wiki/StableBranch

A total of 89 bugs have been fixed across all projects since 2014.1.3.
These updates to Icehouse are intended to be low risk with no intentional
regressions or API changes. The list of bugs, tarballs and other milestone
information for each project may be found on Launchpad:

https://launchpad.net/ceilometer/icehouse/2014.1.4
https://launchpad.net/cinder/icehouse/2014.1.4
https://launchpad.net/glance/icehouse/2014.1.4
https://launchpad.net/heat/icehouse/2014.1.4
https://launchpad.net/horizon/icehouse/2014.1.4
https://launchpad.net/keystone/icehouse/2014.1.4
https://launchpad.net/neutron/icehouse/2014.1.4
https://launchpad.net/nova/icehouse/2014.1.4
https://launchpad.net/trove/icehouse/2014.1.4

Release notes may be found on the wiki:

https://wiki.openstack.org/wiki/ReleaseNotes/2014.1.4

The freeze on the stable/icehouse branches will be lifted today as we
begin working toward 2014.1.5, the last planned official Icehouse release.

Thanks,
Alan

Related branches

affects: ubuntu → ceilometer (Ubuntu)
James Page (james-page) on 2015-03-19
Changed in ceilometer (Ubuntu):
status: New → Invalid
Changed in cinder (Ubuntu):
status: New → Invalid
Changed in glance (Ubuntu):
status: New → Invalid
Changed in heat (Ubuntu):
status: New → Invalid
Changed in horizon (Ubuntu):
status: New → Invalid
Changed in keystone (Ubuntu):
status: New → Invalid
Changed in neutron (Ubuntu):
status: New → Invalid
Changed in nova (Ubuntu):
status: New → Invalid

Hello Corey, or anyone else affected,

Accepted ceilometer into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ceilometer/2014.1.4-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ceilometer (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
Changed in cinder (Ubuntu Trusty):
status: New → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted cinder into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cinder/1:2014.1.4-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in glance (Ubuntu Trusty):
status: New → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted glance into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/glance/1:2014.1.4-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in heat (Ubuntu Trusty):
status: New → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted heat into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/heat/2014.1.4-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in horizon (Ubuntu Trusty):
status: New → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted horizon into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/horizon/1:2014.1.4-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron (Ubuntu Trusty):
status: New → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted neutron into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neutron/1:2014.1.4-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in keystone (Ubuntu Trusty):
status: New → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted keystone into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/keystone/1:2014.1.4-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Brian Murray (brian-murray) wrote :

Hello Corey, or anyone else affected,

Accepted nova into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nova/1:2014.1.4-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nova (Ubuntu Trusty):
status: New → Fix Committed
Chris J Arges (arges) wrote :

FYI: The point release has been superseded in this bug per Corey's request:
https://bugs.launchpad.net/ubuntu/+source/keystone/+bug/1403114

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 1:2014.1.4-0ubuntu2

---------------
glance (1:2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).
 -- Corey Bryant <email address hidden> Mon, 30 Mar 2015 08:54:37 -0400

Changed in glance (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 1:2014.1.4-0ubuntu2

---------------
keystone (1:2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/p/drop-oslo-serialization.patch: Drop oslo.serialization (LP: #1437741).
  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).
 -- Corey Bryant <email address hidden> Mon, 30 Mar 2015 09:07:47 -0400

Changed in keystone (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heat - 2014.1.4-0ubuntu2

---------------
heat (2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).
 -- Corey Bryant <email address hidden> Mon, 30 Mar 2015 09:01:26 -0400

Changed in heat (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ceilometer - 2014.1.4-0ubuntu2

---------------
ceilometer (2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).
 -- Corey Bryant <email address hidden> Mon, 30 Mar 2015 08:39:45 -0400

Changed in ceilometer (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 1:2014.1.4-0ubuntu2

---------------
horizon (1:2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).
 -- Corey Bryant <email address hidden> Mon, 30 Mar 2015 09:37:04 -0400

Changed in horizon (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 1:2014.1.4-0ubuntu2

---------------
neutron (1:2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).
 -- Corey Bryant <email address hidden> Mon, 30 Mar 2015 09:14:07 -0400

Changed in neutron (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 1:2014.1.4-0ubuntu2

---------------
cinder (1:2014.1.4-0ubuntu2) trusty; urgency=medium

  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).
 -- Corey Bryant <email address hidden> Mon, 30 Mar 2015 08:46:58 -0400

Changed in cinder (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 1:2014.1.4-0ubuntu2

---------------
nova (1:2014.1.4-0ubuntu2) trusty; urgency=medium

  [ Edward Hope-Morley ]
  * Fixed race between nova-compute and neutron-ovs-cleanup (LP: #1420572)

  [ Corey Bryant ]
  * d/control: Set minimum python-six dependency to 1.5.2 (LP: #1403114).
 -- Corey Bryant <email address hidden> Mon, 30 Mar 2015 09:28:30 -0400

Changed in nova (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers